<?php
	$StrHWND_G=$_SESSION['SYS_HW']."_DEJA";
	$LIMPIAR=0;
	//-------------------------++++++
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);	
	//-------------------------+++++
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X")$StrCmd="C";
	}
	$DR_NOM=V($_POST['DR_NOM']);
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("N");
	if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"N");	
	//
	$StrN_AUTO=vbval(V($_POST['ChN_AUTO']));
	$Str_DINERO=vbval(V($_POST['Ch_DINERO']));
	$StrRec=V($_POST['TxtRec']);
	
	$StrNum=V($_POST['TxtNum']);
	$StrFec=V($_POST['TxtFec']);	
	//
	$StrCom=V($_POST['CboCom']);
	$StrSerR=V($_POST['TxtSerR']);
	$StrNumR=V($_POST['TxtNumR']);
	$StrCli=V($_POST['TxtCli']);
	//
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarcas']);
	$StrCant=V($_POST['TxtCant']);
	$StrCUni=V($_POST['TxtCUni']);
	//
	$StrPro_ID=vbval(V($_POST['Pro_TxtId']));
	$StrPro_CA=vbval(V($_POST['TxtCant']));
 	$Pro_Des=V($_POST['Pro_TxtDes']);
	$Pro_Pre=V($_POST['Pro_TxtPre']);
	$Pro_Cod=V($_POST['Pro_TxtCod']);
	$Pro_Marca=V($_POST['Pro_TxtMarca']);
	//
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");
	//
	if(strlen($StrPro_PR)==0 || !is_numeric($StrPro_PR)) $StrPro_PR="0";
	//------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrEmp=gs("EMPC","vdevoluciones","ID=$Id");		
		$StrAlm=gs("ALM","vdevoluciones","ID=$Id");		
		$StrNum=gs("NRO","vdevoluciones","ID=$Id");		
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vdevoluciones","ID=$Id");
		$StrCli=gs("CLI","vdevoluciones","ID=$Id");	
		$StrCom=gs("COM","vdevoluciones","ID=$Id");	
		$StrSerR=gs("SER","vdevoluciones","ID=$Id");	
		$StrNumR=gs("NUM","vdevoluciones","ID=$Id");
		$StrAnu=gs("ANU","vdevoluciones","ID=$Id");
		$StrRec=gs("RECIBO","vdevoluciones","ID=$Id");
		$Str_DINERO=gs("DINERO","vdevoluciones","ID=$Id");
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$s="SELECT dd_id_producto as IDP,dd_cant as KA,dd_pie as PIE,".
		   "dd_pre as PRE,dd_imp as IMP ".
		   "FROM devoluciones_det ".
		   "WHERE dd_id_devolucion=$Id ORDER BY dd_cx";		
		$cx=0;	
		$result = grs($s);			
		while ($row = $result->fetch_assoc()){
			$cx++;
			$AR_ID=$row['IDP'];
			$AR_CA=$row['KA'];
			$AR_CU=$row['PIE'];
			$AR_PR=$row['PRE'];
			$AR_IM=$row['IMP'];
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,'','',$AR_CU)";
			ejt($s);
		}
		$DR_NOM=$StrCom;		 			
	}
	if($StrCmd=="UP"){	
		$SQL="UPDATE temp_compras ".
			 "SET temc_imp= round(temc_cant * temc_precio * dscto,2) ".
			 "WHERE cod_temc='$StrHWND_G' ";
		ejt($SQL);
	}
	//
	if($StrCmd=="LOAD_REF_X"){
		$DR_NOM="";		 
		$DR_DES="0";
		$DR_PRI="0";
		$StrSerR="";
		$StrNumR="";
		$StrCli="";
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");		
	}
	//
	if($StrCmd=="LOAD_REF"){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$CX=1;
		if($StrCom=="PROFORMA"){			
			$DR_NOM="PROFORMA";		
			$ID=gn("ID","z_vis_cotizaciones",
				   "ISER=".vbval($StrSerR)." AND ".
			       "INUM=".vbval($StrNumR)." AND ID_EMP=$StrEmp_");
			//
			FxCOT_PARSE_CANTIDADES($ID);
			//
			$StrCli=gs("CLI","vcotizaciones","ID=$ID");
			$s="SELECT IDP,CA_CONTROL,DEJ,PR,PIE,T_SAL,CA ".
			   "FROM vcotizaciones_det2 WHERE ID=$ID AND ".
			   "(CA - (T_SAL + DEJ))>0 ORDER BY CX";			
		}else{			
			$ID=gn("ID","z_vis_ventas",
				   "ISER=".vbval($StrSerR)." AND ".
				   "INUM=".vbval($StrNumR)." AND ID_EMP=$StrEmp_ AND COM='$StrCom' ");
			$StrCli=gs("CLI","vventas","ID=$ID");
			$DR_NOM=gs("COM","vventas","ID=$ID");
			$s="SELECT IDP,CA_CONTROL,DEJ,PR,PIE,T_SAL,CA ".
			   "FROM vventas_det2 WHERE ID=$ID AND ".
			   "(CA - (T_SAL + DEJ)) > 0 ORDER BY CX";
		}
		if(strlen($s)>0){
			$result = grs($s);			
			while ($row = $result->fetch_assoc()){
				$L_ID=$row['IDP'];
				$L_CA=$row['CA'] - ($row['T_SAL'] + $row['DEJ']) ;
				$L_CO="";
				$L_DE="";
				$L_PR=$row['PR'];
				$L_PI=$row['PIE'];
				$L_IM=round($L_PR * $L_CA * $L_PI,2);
				$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
				$L_ID,$L_CA,$L_PR,$L_IM,$CX,'$L_CO','$L_DE',$L_PI)";
				ejt($s);
				$CX++;
			}			   
		}
	}
	//
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
		$LIMPIAR=1;
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_G'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";
	}	
	//
	if($StrCmd=="ADD"){	
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		if($StrPro_ID==0){
			$LStrMsg="No se puede determinar el ID del producto";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";							
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_G'")>0){
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
			}
		}
		
		if(strlen($StrGT)==0){
			$StrImporte=round($StrPro_CA * $StrPro_PR,2);
			$StrIndex=GenId("temc_index","temp_compras");
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_G',
				$StrPro_ID,$StrPro_CA,0,0,
				$StrIndex,'$StrCod','$StrDes',$StrCUni)";
			ejt($s);
			$StrCant="";
			$StrPre="";
			$StrCli="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$Pro_Des="";
			$Pro_Pre="";
			$Pro_Cod="";
			$Pro_Marca="";
			$StrCUni="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}
	}
	//------------------------------------------------------
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");	
		$StrSer_=vbval($StrSerR);
		$StrNum_=vbval($StrNumR);
		$REF_ID=0;
	    if($StrCom=="PROFORMA"){
			$REF_ID=gn("ID",
					   "z_vis_cotizaciones",
					   "ISER=".$StrSer_." AND INUM=".$StrNum_." AND ID_EMP=$StrEmp_");
			$StrCli_=gn("id_cliente","cotizaciones","id_cotizacion=".$REF_ID);
		}else{
			$REF_ID=gn("ID","z_vis_ventas",
					   "ISER=".$StrSer_." AND INUM=".$StrNum_." AND ID_EMP=$StrEmp_ AND COM='$StrCom'");
			$StrCli_=gn("id_cliente","ventas","id_venta=".$REF_ID);
		}
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrAlm_=gn("id_almacen","almacenes",
					"alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");		
		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_G'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G" && strlen($StrGT)==0){			
		if($StrN_AUTO=="1"){
			DEV_GEN_NUM_MAX($StrNum,"J",$StrEmp_);		
		}
		$iStrNum=vbval($StrNum);
		if(gn("count(*)","devoluciones","dev_nro_=$iStrNum AND dev_tipo='J'")>0){
			$LStrMsg="DEVOLUCION numero ya registrados";			
			$LStrFoc="document.getElementById('TxtNum').focus();";						
			$StrGT="S";
		}
	}
	//
	if($StrCmd=="G" && strlen($StrGT)==0){
		if($StrCom=="PROFORMA"){
			if($REF_ID>0){
				FxCOT_PARSE_CANTIDADES($REF_ID);
				//
				$s="SELECT * FROM temp_compras 
					WHERE cod_temc='$StrHWND_G' ORDER BY temc_index";
				$rs=grs($s);			
				while($r=$rs->fetch_assoc()){
					$_IDP=$r['temc_id_producto'];
					$_CAN=$r['temc_cant'];
					$_PIE=$r['dscto'];
					$_KAN=gn("ca - ((ca - ca_control)+dej)",
							 "cotizaciones_det","id_cotizacion=$REF_ID AND id_producto=$_IDP AND can_uni=$_PIE");
					if($_CAN>$_KAN){
						$XX_DES=$r['cod']."x".$r['temc_cant']." ".$r['des'];
						$LStrMsg="Cantidad ($_CAN) insuficiente en proforma ($_KAN) para ".$XX_DES;			
						$LStrFoc="document.getElementById('TxtNum').focus();";						
						$StrGT="S";
						break;
					}					
				}
			}
			
		}
	}
	//
	if($StrCmd=="G" && strlen($StrGT)==0){	
		$StrFec_=ToDate($StrFec);		
		$GII=GenGI();
		//+++++++++++++
		$TOTAL=gn("sum(temc_imp)","temp_compras","cod_temc='$StrHWND_G'");
		//
		$StrId=GenId("id_devolucion","devoluciones");
		$s="INSERT INTO devoluciones VALUES ".
		"($StrId,$StrAlm_,'$StrNum','$StrFec_',$StrCom_,".
		"'$StrSerR','$StrNumR','N',".vbval($StrNum).",$StrSer_,".
		"$StrNum_,".GetIDU().",$GII,$TOTAL,$StrCli_,".
		"$REF_ID,'J',0,'$Str_DINERO','$StrRec')";
	 	ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="devoluciom.php";
		$_BIT_ID=BIT_ADD("VENTAS","DEVOLUCION DEJA","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		CREDITOS_DEJA($StrCli_,$TOTAL);
		//
		$TP_CX=0;
		$TP_AR[0]=0;
		//
		$qqq=ejt("DELETE FROM devoluciones_det WHERE dd_id_devolucion=$StrId");
		BIT_DET_ADD($_BIT_ID,$qqq);
		//
		$s="SELECT temc_id_producto as IDP,temc_cant as KA,".
		   "dscto as PIE,temc_precio as PRE,temc_imp as IMP ".
		   "FROM temp_compras WHERE cod_temc='$StrHWND_G' ORDER BY temc_index";
		$result = grs($s);			
		$cx=0;			
		while ($row = $result->fetch_assoc()){
			$cx++;
			$_IDP=$row['IDP'];
			$_CAN=$row['KA'];
			$_PIE=$row['PIE'];
			$_PRE=$row['PRE'];
			$_IMP=$row['IMP'];			
			$ss="INSERT INTO devoluciones_det ".
			    "VALUES ($StrId,$cx,$_IDP,$_CAN,$_PIE,$_PRE,$_IMP)";
			ejt($ss);
			BIT_DET_ADD($_BIT_ID,$ss);		
			//
			if($StrCom_==-3){
				$qqq=ejt("UPDATE cotizaciones_det ".
				    "SET dej=dej + $_CAN ".
					"WHERE id_cotizacion=$REF_ID ".
					"AND id_producto=$_IDP AND can_uni=$_PIE");
				BIT_DET_ADD($_BIT_ID,$qqq);		
			}else{
				$qqq=ejt("UPDATE ventas_det	 ".
				    "SET dej=dej + $_CAN ".	
					"WHERE id_venta=$REF_ID ".
					"AND id_producto=$_IDP AND can_uni=$_PIE");
				BIT_DET_ADD($_BIT_ID,$qqq);		
			}
			//
			$TP_CX++;$TP_AR[$TP_CX]=$_IDP;
		}
		//
		for($i=1;$i<=$TP_CX;$i++){
			T_P_ACT($TP_AR[$i]);
		}
		//++
		if($StrCom_==-3){
			FxCOT_PARSE_CANTIDADES($REF_ID);
		}
		//++				
		if(strlen($LStrMsg)==0){
			$LStrMsg="Los datos han sido registrado: DEVOLUCION : $StrNum";
		}
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";		
	}
	//
	if($StrCmd=="E"){	
		if($POL_USU_PER_ELI==0){
			$LStrMsg="El usuario no tiene los permisos para esta accion";
			$LStrFoc="document.getElementById('TxtNum').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			$E_ANU=gs("dev_anu","devoluciones","id_devolucion=$StrId");	
			if($E_ANU=="S"){
				$LStrMsg="El registro se encuentra anulado por lo tanto no se puede eliminar";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";
			}
		}
		//
		if(strlen($StrGT)==0){
			//
			$USA=gn("dev_usado","devoluciones","id_devolucion=$StrId");
			if($USA>0){
				$LStrMsg="No se puede eliminar debido a que ha sido usado como transferencia de pago";			
				$LStrFoc="document.getElementById('CboAlm').focus();";						
				$StrGT="S";
			}
			//
			if(strlen($StrGT)==0){
				//
				$TP_CX=0;
				$TP_AR[0]=0;
				//BIT
				$_BIT_MOD_ID=$StrId;
				$_BIT_SQL_CAB="SQL";
				$_BIT_SQL_DET="";
				$_BIT_PHP="devoluciom.php";
				$_BIT_ID=BIT_ADD("VENTAS","DEVOLUCION DEJA","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
				BIT_DET_ADD($_BIT_ID,"");
				//BIT	
				$StrCli_=gn("dev_id_cliente","devoluciones","id_devolucion=$StrId");
				$TOTAL=gn("dev_total","devoluciones","id_devolucion=$StrId");	
				CREDITOS_DEJA($StrCli_,$TOTAL * -1);	
				$REF_ID=gn("dev_id_ref","devoluciones","id_devolucion=$StrId");		
				$StrCom_=gn("dev_id_comprobante","devoluciones","id_devolucion=$StrId");
				$StrAlm_=gn("dev_id_alm","devoluciones","id_devolucion=$StrId");			
				$s="SELECT dd_id_producto,dd_cant,dd_pie ".
				   "FROM devoluciones_det ".
				   "WHERE dd_id_devolucion=$StrId";
				$result = grs($s);			
				while ($row = $result->fetch_row()){
					$E_ID=$row[0];
					$E_CA=$row[1];
					$E_PI=$row[2];										
					//
					if($StrCom_==-3){
						$z="UPDATE cotizaciones_det ".
							"SET dej=dej - $E_CA ".
							"WHERE id_cotizacion=$REF_ID ".
							"AND id_producto=$E_ID AND can_uni=$E_PI";
						ejt($z);
						BIT_DET_ADD($_BIT_ID,$z);
					}else{
						$z="UPDATE ventas_det	 ".
							"SET dej=dej - $E_CA ".	
							"WHERE id_venta=$REF_ID ".
							"AND id_producto=$E_ID AND can_uni=$E_PI";
						ejt($z);
						BIT_DET_ADD($_BIT_ID,$z);
					}
					//
					$TP_CX++;$TP_AR[$TP_CX]=$E_ID;
				}
				$qqq=ejt("DELETE FROM devoluciones_det WHERE dd_id_devolucion=$StrId");
				BIT_DET_ADD($_BIT_ID,$qqq);
				//
				$qqq=ejt("DELETE FROM devoluciones WHERE id_devolucion=$StrId");
				BIT_DET_ADD($_BIT_ID,$qqq);
				//
				for($i=1;$i<=$TP_CX;$i++){
					T_P_ACT($TP_AR[$i]);
				}
				//				
				$qqq=ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
				BIT_DET_ADD($_BIT_ID,$qqq);
				//
				if($StrCom_==-3){
					FxCOT_PARSE_CANTIDADES($REF_ID);
				}
				//
				$LStrMsg="Los datos han sido eliminados";
				$LStrFoc="document.getElementById('CboAlm').focus();";						
				$StrGT="S";
				//
				$LIMPIAR=1;
			}
		}
		
	}	
	///////////////////
	if($StrCmd=="A"){
		if(strlen($StrGT)==0){
			//
			$USA=gn("dev_usado","devoluciones","id_devolucion=$StrId");
			if($USA>0){
				$LStrMsg="No se puede anular debido a que ha sido usado como transferencia de pago";			
				$LStrFoc="document.getElementById('CboAlm').focus();";						
				$StrGT="S";
			}
			//
			if(strlen($StrGT)==0){
			//
			$TP_CX=0;
			$TP_AR[0]=0;
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB="SQL";
			$_BIT_SQL_DET="";
			$_BIT_PHP="devoluciom.php";
			$_BIT_ID=BIT_ADD("VENTAS","DEVOLUCION DEJA","ANULAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,"");
			//BIT		
			$StrCli_=gn("dev_id_cliente","devoluciones","id_devolucion=$StrId");
			$TOTAL=gn("dev_total","devoluciones","id_devolucion=$StrId");	
			CREDITOS_DEJA($StrCli_,$TOTAL * -1);		
			$REF_ID=gn("dev_id_ref","devoluciones","id_devolucion=$StrId");		
			$StrCom_=gn("dev_id_comprobante","devoluciones","id_devolucion=$StrId");
			$StrAlm_=gn("dev_id_alm","devoluciones","id_devolucion=$StrId");			
			$s="SELECT dd_id_producto,dd_cant,dd_pie ".
			   "FROM devoluciones_det ".
			   "WHERE dd_id_devolucion=$StrId";
			$result = grs($s);			
			while ($row = $result->fetch_row()){
				$E_ID=$row[0];
				$E_CA=$row[1];
				$E_PI=$row[2];						
				//
				if($StrCom_==-3){
					$qqq=ejt("UPDATE cotizaciones_det ".
						"SET dej=dej - $E_CA ".
						"WHERE id_cotizacion=$REF_ID ".
						"AND id_producto=$E_ID AND can_uni=$E_PI");
					BIT_DET_ADD($_BIT_ID,$qqq);
				}else{
					$qqq=ejt("UPDATE ventas_det	 ".
						"SET dej=dej - $E_CA ".	
						"WHERE id_venta=$REF_ID ".
						"AND id_producto=$E_ID AND can_uni=$E_PI");
					BIT_DET_ADD($_BIT_ID,$qqq);
				}
				//
				$TP_CX++;$TP_AR[$TP_CX]=$E_ID;
			}
			ejt("UPDATE devoluciones SET dev_anu='S' WHERE id_devolucion=$StrId");
			//
			for($i=1;$i<=$TP_CX;$i++){
				T_P_ACT($TP_AR[$i]);
			}
			//				
			ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_G'");
			//
			if($StrCom_==-3){
				FxCOT_PARSE_CANTIDADES($REF_ID);
			}
			//
			$LStrMsg="Los datos han sido anulados";
			$LStrFoc="document.getElementById('CboAlm').focus();";						
			$StrGT="S";
			//
			$LIMPIAR=1;
			}
		}
	}
	if($LIMPIAR==1){
		$StrId="";
		$StrAlm="";
		$StrSer="";
		$StrNum="";
		$StrFec=date("d-m-y");
		$StrCli="";	
		$StrSerR="";
		$StrNumR="";
		$StrComR="";
		$Pro_Des="";
		$Pro_Pre="";
		$Pro_Cod="";
		$Pro_Marca="";	
		$StrCUni="";
		$StrDesDNI="";	
		$DR_NOM="";
		$DR_DES="0";
		$DR_PRI="0";
		$StrRec="";
		$Str_DINERO="";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
				}else{
					$LStrMsg="onload=\"alert('$LStrMsg');AutoNumeracion(2);\"";
				}
			}else{
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
				}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}else{
			if(strlen($LStrFoc)>0){
				if($StrN_AUTO=="0"){
				$LStrMsg="onload=\"$LStrFoc;\"";
				}else{
					$LStrMsg="onload=\"$LStrFoc;AutoNumeracion(2);\"";
				}
			}
		}
	}else{
		if($StrN_AUTO=="1"){
$LStrMsg="onload=\"AutoNumeracion(2);document.getElementById('CboEmp').focus();\"";
		}else{
			$LStrMsg="onload=\"document.getElementById('CboEmp').focus();\"";
		}
	}
?>